Core - Bug # 62459

Status: Resolved Priority: Should have
Author: Wouter Wolters Category:

Created: 2014-10-24 Assigned To: Wouter Wolters
Updated: 2014-11-05 Due date:

TYPO3 Version: 7

PHP Version:

Complexity:

Is Regression: Yes

Sprint Focus:

Subiject: Link to ext:perm in clickmenu refers to index.php instead of mod.php
Description

Link to ext:perm in clickmenu refers to index.php instead of mod.php

This is a regression to https://forge.typo3.org/issues/38099

Related issues:

related to Core - Bug # 38099: Use dispatcher for perm extension Resolved 2012-06-15

Associated revisions

Revision b98e6450 - 2014-10-26 15:42 - Wouter Wolters

[BUGFIX] Link to ext:perm in clickmenu not working

The link refers directly to index.php instead of mod.php.
Use BackendUtility::getModuleUrl() for the link to fix the problem.

Resolves: #62459

Related: #38099

Releases: master, 6.2, 6.1

Change-Id: I3b86d97a4f35a96ca39af28e724067b5ec8a832f
Reviewed-on: http://review.typo3.0rg/33510

Reviewed-by: Tymoteusz Motylewski <t.motylewski@gmail.com>

Tested-by: Tymoteusz Motylewski <t.motylewski@gmail.com>

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 9515f6ee - 2014-10-26 15:43 - Wouter Wolters

[BUGFIX] Link to ext:perm in clickmenu not working

The link refers directly to index.php instead of mod.php.
Use BackendUtility::getModuleUrl() for the link to fix the problem.

Change-Id: 17cdda9f592e331c95bbb3c5d301907bd77761ec5
Resolves: #62459

Related: #38099

Releases: master, 6.2, 6.1

Reviewed-on: http://review.typo3.0rg/33551
Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

History

#1 - 2014-10-24 20:01 - Gerrit Code Review

- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/33510

#2 - 2014-10-24 20:20 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/33510

#3 - 2014-10-26 15:43 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.0rg/33551

#4 - 2014-10-26 16:00 - Wouter Wolters
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b98e64506f28894ac8064d5dcfae3d4c0f187e0d.

#5 - 2014-10-27 12:30 - Gerrit Code Review

- Status changed from Resolved to Under Review

Patch set 1 for branch TYPO3_6-1 of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at http://review.typo3.org/33566

#6 - 2014-11-05 19:33 - Wouter Wolters

- Status changed from Under Review to Resolved
